%{?nodejs_find_provides_and_requires}

%global packagename validate-npm-package-license
%global enable_tests 0
# tests disabled due to missing test dependencies

Name:		nodejs-validate-npm-package-license
Version:	3.0.1
Release:	1%{?dist}
Summary:	Give me a string and I'll tell you if it's a valid npm package license string

License:	ASL 2.0
URL:		https://github.com/kemitchell/validate-npm-package-license.js.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(defence)
BuildRequires:	npm(replace-require-self)
%endif

Requires:	nodejs

%description
Give me a string and I'll tell you if it's a valid npm package license string


%prep
%setup -q -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
defence README.md | replace-require-self | node
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Mon Oct 26 2015 Jared Smith <jsmith@fedoraproject.org> - 3.0.1-1
- Initial packging
